0 Replies Latest reply on Dec 1, 2014 9:04 AM by Bigpoppapog

    Lightroom for Mac 10.6.8

    Bigpoppapog

      Hi,

       

      I have a MacBook Pro 10.6.8. I noticed that I do not have the requirements for LightRoom 5. Is it still possible to acquire LightRoom 4 instead?

       

      Thanks in advance for the information,

       

      Pierre-Olivier Gaudreau